
Name:           kbackup
Version:        23.08.5
Release:        %mkrel 1
Summary:        Back up your data in a simple, user friendly way
Group:          Graphical desktop/KDE5
License:        GPLv2+
Url:            https://www.kde.org/applications/utilities/kbackup/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%files
%doc AUTHORS ChangeLog README TODO
%doc COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/*.png
%{_kf5_iconsdir}/hicolor/*/actions/*.png
%{_kf5_iconsdir}/hicolor/*/mimetypes/*.png
%{_kf5_datadir}/kxmlgui5/%{name}
%{_kf5_datadir}/mime/packages/%{name}.xml
%{_kf5_datadir}/metainfo/org.kde.kbackup.appdata.xml
%{_kf5_datadir}/locale
%{_mandir}
#------------------------------------------------------------------------------

%package -n kbackup-handbook
Summary: kbackup handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kbackup-handbook
This package provides kbackup handbook.

%files -n kbackup-handbook
%_kf5_docdir/HTML


%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

